"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppEnvironment = void 0;
const utils_1 = require("@secjs/utils");
function getAppEnvironment(path) {
    let env = new utils_1.File(path)
        .loadSync()
        .getContentSync()
        .toString()
        .split('environment:')[1]
        .split(',')[0]
        .trim();
    if (env.includes('process.env.NODE_ENV')) {
        env = env.split('process.env.NODE_ENV')[1].replace('/||/g', '').trim();
    }
    return process.env.NODE_ENV || env;
}
exports.getAppEnvironment = getAppEnvironment;
